import { httpApi } from '../../request/httpApi'
export default {
        //获取分页
        async getPage(form, msg = true) {
            return httpApi({
                url: '/api/blade-land/policyInfo/page',
                method: 'get',
                params: form,
            }, msg)
        },
        //新增或修改
        async addOrUpdate(form, msg = true) {
            return httpApi({
                url: '/api/blade-land/policyInfo/addOrUpdate',
                method: 'post',
                data: form,
            }, msg)
        },
        //查询单个详情
        async getDetail(form, msg = true) {
            return httpApi({
                url: '/api/blade-land/policyInfo/detail',
                method: 'get',
                params: form,
            }, msg)
        },
        //查询删除
        async remove(form, msg = true) {
            return httpApi({
                url: '/api/blade-land/policyInfo/remove',
                method: 'post',
                data: form,
            }, msg)
        },
        //文件上传
        async addOrFile(form, msg = true) {
            return httpApi({
                url: '/api/blade-land/attachmentInfo/add-file',
                method: 'post',
                data: form,
            }, msg)
        },
        //文件删除
        async deleteFile(form, msg = true) {
            return httpApi({
                url: '/api/blade-land/attachmentInfo/delete',
                method: 'get',
                params: form,
            }, msg)
        },
}
